summaryrefslogtreecommitdiffstats
path: root/source/l/parted
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/parted')
-rwxr-xr-xsource/l/parted/parted.SlackBuild3
-rwxr-xr-xsource/l/parted/parted.SlackBuild.static31
-rw-r--r--source/l/parted/parted.glibc228.diff10
3 files changed, 35 insertions, 9 deletions
diff --git a/source/l/parted/parted.SlackBuild b/source/l/parted/parted.SlackBuild
index ecbdafe58..3cdb3633b 100755
--- a/source/l/parted/parted.SlackBuild
+++ b/source/l/parted/parted.SlackBuild
@@ -26,7 +26,7 @@ PKGNAM=parted
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-4}
-NUMJOBS=${NUMJOBS:-" -j7 "}
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -74,6 +74,7 @@ tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
cd ${PKGNAM}-$VERSION || exit 1
zcat $CWD/parted.configure.diff.gz | patch -p1 || exit 1
+zcat $CWD/parted.glibc228.diff.gz | patch -p1 || exit 1
# Make sure ownerships and permissions are sane:
chown -R root:root .
diff --git a/source/l/parted/parted.SlackBuild.static b/source/l/parted/parted.SlackBuild.static
index eca8f1653..b695d6c06 100755
--- a/source/l/parted/parted.SlackBuild.static
+++ b/source/l/parted/parted.SlackBuild.static
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,12 +20,13 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=parted
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
-NUMJOBS=${NUMJOBS:-" -j7 "}
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -37,7 +38,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-${PKGNAM}
@@ -55,14 +63,18 @@ else
LIBDIRSUFFIX=""
fi
+# Don't use icecream:
+PATH=$(echo $PATH | sed "s|/usr/libexec/icecc/bin||g" | tr -s : | sed "s/^://g" | sed "s/:$//g")
+
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf ${PKGNAM}-${VERSION}
tar xvf $CWD/${PKGNAM}-$VERSION.tar.?z || exit 1
-cd ${PKGNAM}-$VERSION
+cd ${PKGNAM}-$VERSION || exit 1
zcat $CWD/parted.configure.diff.gz | patch -p1 || exit 1
+zcat $CWD/parted.glibc228.diff.gz | patch -p1 || exit 1
# Make sure ownerships and permissions are sane:
chown -R root:root .
@@ -82,10 +94,13 @@ CFLAGS="$SLKCFLAGS" \
--enable-static=yes \
--enable-device-mapper=yes \
--with-readline \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG
+make install DESTDIR=$PKG || exit 1
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
# Strip binaries:
( cd $PKG
diff --git a/source/l/parted/parted.glibc228.diff b/source/l/parted/parted.glibc228.diff
new file mode 100644
index 000000000..db33798b0
--- /dev/null
+++ b/source/l/parted/parted.glibc228.diff
@@ -0,0 +1,10 @@
+--- ./libparted/architecture.h.orig 2014-06-15 13:17:43.000000000 -0500
++++ ./libparted/architecture.h 2018-09-18 18:55:41.959066415 -0500
+@@ -24,6 +24,7 @@
+ #define _LIBPARTED_ARCH_H_INCLUDED
+
+ #include <parted/disk.h>
++#include <sys/sysmacros.h>
+
+ struct _PedArchitecture {
+ PedDiskArchOps* disk_ops;